Skip to main content

List digital wallet tokens

GET /v2/cards/tokens

Request

Use this request to get a list of digital wallet tokens for cards on a given account.
curl -i -X GET \
  'https://api.equalsmoney.com/v2/cards/tokens?accountId=F12345' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'

Query parameters

accountId
string
required
The ID of the account that the tokens are associated with.Allowable values: An existing accountId
personId
string (uuid)
The ID of the person that the tokens are associated with.Allowable values: An existing personId (≤ 36 characters)
The last four digits of the card to search for. Use a comma-separated list to search for more than one. For example, search=1234,4321.Allowable values: A valid string
type
string (enum)
The type of digital wallet token. For example, type=APPLE_PAY.Allowable values: APPLE_PAY, ANDROID_PAY, SAMSUNG_PAY
deviceType
string (enum)
The type of device. For example, type=WATCH.Allowable values: MOBILE_PHONE, TABLET, WATCH

Response

If your request is successful, you’ll receive a 200 response.
{
  "count": 1,
  "rows": [
    {
      "token": "9d3dee7c-19df-4b71-bbb9-521bb04307bf",
      "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "cardName": "Expense card",
      "lastFour": "0056"
    }
  ]
}
For more detailed information about this request and its response, see the API reference.